\documentclass{article}

\usepackage{gnuplot-lua-tikz}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{lipsum}
\usepackage[a4paper,top=3cm,bottom=3cm]{geometry}

\begin{document}

Einfach:
$$ x^2 $$

\lipsum[1-3]

Multiplikation:
$$ 2x^2\sqrt x \sin(2x) 2^x \cos(4x) \cdot 5 \tan x^2 $$

\lipsum[1-3]

Zahlen:
$$ 3 + +3 - -3 + -3 \frac12 \cdot 1.5 $$

\lipsum[1-3]

Wurzeln:
$$ \sqrt x \sqrt [6] {7x} $$

\lipsum[1-3]

Keine Ahnung, was das soll:
$$ 2x^2\sin\left(\frac32 + (-3(-x^2)+-5)\cdot 7^{3--4xx^{\frac 12}\sin x}-3^{\sin2x+3^{+2.5+3}} \right) \cos 2x$$

\lipsum[1-3]

Nesting:
$$
\begin{aligned}
%gnuplot plotopt lc "red"
%gnuplot begin
x^2
%gnuplot end
\\
%gnuplot proj w *=1
%gnuplot begin
2w
%gnuplot end
\\
%gnuplot begin
%gnuplot proj q w=5
q+w
%gnuplot end
\\
f: \mathbb R^3 \to \mathbb R,
%gnuplot begin
\begin{pmatrix} w \\ h \\ t \end{pmatrix} \mapsto wht
%gnuplot end
\end{aligned}
$$

\lipsum

Mit signatur:
%gnuplot begin
%gnuplot proj x_0 x_1=1
%gnuplot proj x_1 x_0=0
$$ f(\bar x) = x_0 \cdot x_1 + x_1^2 $$
$$ f(x) = x_0 \cdot x_1 + x_1^2 $$
$$ f(x_0, x_1) = x_0 \cdot x_1 + x_1^2 $$
%gnuplot end

\lipsum

$$
%gnuplot proj y x_*=1 z=0
f \begin{pmatrix} \bar x \\ y \\ z \end{pmatrix} = z + x_1x_2y
$$

\lipsum[1-2]

$$ q \mapsto 2q $$

\lipsum[1-2]

Oh nein, das geht nicht!
$$
%gnuplot plotopt totallyinvalid
2x
$$

\end{document}
